Subject: Re: Unable to open files including Korean names
From: Jaeho Shin <[email-masked]>
To: [email-masked]
Date: Mon, 14 Jun 2004 00:02:43 +0900

On Sun, Jun 13, 2004 at 03:30:00AM +0900, Jaeho Shin ([email-masked]) wrote:
> As I remember, there wasn't any problem like this before my update few
> days ago.  Not sure, but since I remember the last time I had an update
> was near Apr 20, I should have been using cygwin dll 1.5.9 then.
> 

Yes.  I just downgraded cygwin dll (and only cygwin dll) to 1.5.9-1,
and now the problem is gone.  Looks like 1.5.10 does have some problem
handling non-ascii paths.

I've checked the changes in 1.5.10 from the announce
(at http://cygwin.com/ml/cygwin-announce/2004-05/msg00010.html)
and found an entry related to this problem:

- Simplify and speed up path handling. (Pierre Humblet)

Perhaps it was TOO simplified? :-(
I'll try examining the codes as soon as I get some free time.
Or, maybe Pierre can fix the problem?

-- 
신재호 | Jaeho Shin <[email-masked]> | http://netj.org/
System Programmers' Association for Researching Computer Systems
Division of Computer Science, Department of EECS, KAIST